Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.conf
Class JDBCConfigurationImpl

    java.lang.Object
      org.apache.openjpa.lib.conf.ConfigurationImpl
          org.apache.openjpa.conf.OpenJPAConfigurationImpl
              org.apache.openjpa.jdbc.conf.JDBCConfigurationImpl

All Implemented Interfaces:
  BeanInfo, Externalizable, Serializable, Cloneable, OpenJPAConfiguration, JDBCConfiguration, Configuration, ValueListener, Closeable

Direct Known Subclasses:
  DistributedJDBCConfigurationImpl

    public class JDBCConfigurationImpl

extends OpenJPAConfigurationImpl
implements JDBCConfiguration

Default implementation of the `JDBCConfiguration` interface.

Author:
  Marc Prud'hommeaux, Abe White
See Also:
  Serialized Form

Field Summary
`ObjectValue` | `connectionDecoratorPlugins`
`PluginValue` | `dbdictionaryPlugin`
`PluginValue` | `driverDataSourcePlugin`
`FetchModeValue` | `eagerFetchMode`
`IntValue` | `fetchDirection`
`ObjectValue` | `identifierUtilPlugin`
`ObjectValue` | `jdbcListenerPlugins`
`IntValue` | `lrsSize`
`ObjectValue` | `mappingDefaultsPlugin`
`MappingFactoryValue` | `mappingFactoryPlugin`
`IntValue` | `resultSetType`
`StringValue` | `schema`
`ObjectValue` | `schemaFactoryPlugin`
`StringListValue` | `schemas`
`ObjectValue` | `sqlFactoryPlugin`
`FetchModeValue` | `subclassFetchMode`
`StringValue` | `synchronizeMappings`
`IntValue` | `transactionIsolation`
`ObjectValue` | `updateManagerPlugin`

Fields inherited from class org.apache.openjpa.conf.OpenJPAConfigurationImpl
`aggregateListenerPlugins, auditorPlugin, autoClear, autoDetach, brokerFactoryPlugin, brokerPlugin, cacheDistributionPolicyPlugin, cacheMarshallerPlugins, callbackPlugin, classResolverPlugin, compatibilityPlugin, connection2DriverName, connection2Password, connection2Properties, connection2URL, connection2UserName, connectionDriverName, connectionFactory, connectionFactory2, connectionFactory2Name, connectionFactory2Properties, connectionFactoryMode, connectionFactoryName, connectionFactoryProperties, connectionPassword, connectionProperties, connectionRetainMode, connectionURL, connectionUserName, dataCacheManagerPlugin, dataCacheMode, dataCachePlugin, dataCacheTimeout, detachStatePlugin, dynamicDataStructs, dynamicEnhancementAgent, eagerInitialization, encryptionProvider, fetchBatchSize, fetchGroups, filterListenerPlugins, finderCachePlugin, flushBeforeQueries, ignoreChanges, instrumentationManager, instrumentationProviders, inverseManagerPlugin, lifecycleEventManager, lockManagerPlugin, lockTimeout, managedRuntimePlugin, mapping, maxFetchDepth, metaFactoryPlugin, metaRepository, metaRepositoryPlugin, multithreaded, nontransactionalRead, nontransactionalWrite, optimistic, optimizeIdCopy, orphanedKeyPlugin, postLoadOnMerge, preparedQueryCachePlugin, proxyManagerPlugin, queryCachePlugin, queryCompilationCachePlugin, queryTimeout, readLockLevel, refreshFromDataCache, remoteEventManager, remoteProviderPlugin, restoreState, retainState, retryClassRegistration, runtimeUnenhancedClasses, savepointManagerPlugin, seqPlugin, specification, transactionMode, validationFactory, validationGroupPrePersist, validationGroupPreRemove, validationGroupPreUpdate, validationMode, validator, writeLockLevel`

Fields inherited from class org.apache.openjpa.lib.conf.ConfigurationImpl
`id, logFactoryPlugin`

Fields inherited from interface org.apache.openjpa.jdbc.conf.JDBCConfiguration
`LOG_DIAG, LOG_JDBC, LOG_SCHEMA, LOG_SQL`

Fields inherited from interface org.apache.openjpa.conf.OpenJPAConfiguration
`LOG_DATACACHE, LOG_ENHANCE, LOG_METADATA, LOG_QUERY, LOG_RUNTIME, LOG_TOOL, OPTION_DATASTORE_CONNECTION, OPTION_EMBEDDED_COLLECTION_RELATION, OPTION_EMBEDDED_MAP_RELATION, OPTION_EMBEDDED_RELATION, OPTION_ID_APPLICATION, OPTION_ID_DATASTORE, OPTION_INC_FLUSH, OPTION_JDBC_CONNECTION, OPTION_NONTRANS_READ, OPTION_NULL_CONTAINER, OPTION_OPTIMISTIC, OPTION_POSTLOAD_ON_MERGE, OPTION_QUERY_SQL, OPTION_TYPE_ARRAY, OPTION_TYPE_COLLECTION, OPTION_TYPE_MAP, OPTION_VALUE_AUTOASSIGN, OPTION_VALUE_INCREMENT`

Fields inherited from interface org.apache.openjpa.lib.conf.Configuration
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_CATEGORY, ATTRIBUTE_INTERFACE, ATTRIBUTE_ORDER, ATTRIBUTE_TYPE, ATTRIBUTE_XML, INIT_STATE_FREEZING, INIT_STATE_FROZEN, INIT_STATE_LIQUID`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`JDBCConfigurationImpl()` Default constructor.
`JDBCConfigurationImpl(boolean loadGlobals)` Constructor.
`JDBCConfigurationImpl(boolean derivations, boolean loadGlobals)` Constructor.
`JDBCConfigurationImpl(JDBCConfiguration conf)` Copy constructor

Method Summary
`DecoratingDataSource` | `createConnectionFactory()` Create the connection factory if necessary.
`ConnectionDecorator[]` | `getConnectionDecoratorInstances()` The `ConnectionDecorator`s to use.
`String` | `getConnectionDecorators()` A comma-separated list of the `ConnectionDecorator` for adding functionality to JDBC connections.
`Object` | `getConnectionFactory()` The connection factory, possibly from JNDI.
`Object` | `getConnectionFactory2()` The non-XA connection factory.
`DataSource` | `getDataSource(StoreContext ctx)` Return the primary data source to use.
`DataSource` | `getDataSource2(StoreContext ctx)` Return the non-enlisted data source to use.
`String` | `getDBDictionary()` The `DBDictionary` to use to define the RDBMS SQL information.
`DBDictionary` | `getDBDictionaryInstance()` The `DBDictionary` to use.
`String` | `getDriverDataSource()` The `DriverDataSource` to use for creating a `DataSource` from a JDBC `Driver`.
`String` | `getEagerFetchMode()` Specifies the default eager fetch mode to use.
`int` | `getEagerFetchModeConstant()` Return the eager fetch mode as one of the following symbolic constants: `EagerFetchModes.EAGER_NONE` `EagerFetchModes.EAGER_JOIN` `EagerFetchModes.EAGER_PARALLEL`
`String` | `getFetchDirection()` The JDBC fetch direction.
`int` | `getFetchDirectionConstant()` Return the result set constant for the fetch direction.
`String` | `getIdentifierUtil()` Gets the String constant that matches the `IdentifierUtil`
`DBIdentifierUtil` | `getIdentifierUtilInstance()` Gets the `DBIdentifierUtil`
`JDBCListener[]` | `getJDBCListenerInstances()` The `JDBCListener`s to use.
`String` | `getJDBCListeners()` A comma-separated list of the `JDBCListener` plugins for listening to `JDBCEvent`s.
`String` | `getLRSSize()` How to obtain the size of large result sets.
`int` | `getLRSSizeConstant()` Return the `LRSSizes` constant for the large result set size setting.
`String` | `getMappingDefaults()` A plugin string describing the `MappingDefaults` to use.
`MappingDefaults` | `getMappingDefaultsInstance()` The `MappingDefaults` to use with a repository.
`String` | `getMappingFactory()` A plugin string describing the `MetaDataFactory` to use for loading and storing object-relational mapping data.
`MappingRepository` | `getMappingRepositoryInstance()` Return the mapping repository.
`String` | `getResultSetType()` The JDBC result set type.
`int` | `getResultSetTypeConstant()` Return the result set constant for the result set type.
`String` | `getSchema()` Default schema for unqualified tables.
`String` | `getSchemaFactory()` The plugin string for the `SchemaFactory` to use to provide schema information during system initialization.
`SchemaFactory` | `getSchemaFactoryInstance()` The `SchemaFactory` to use for schema information.
`String` | `getSchemas()` Comma-separated list of modifiable schemas for persistent instances.
`String[]` | `getSchemasList()` Modificable schema components.
`String` | `getSQLFactory()` The SQL factory to use for SQL constructs.
`SQLFactory` | `getSQLFactoryInstance()` The SQL factory to use for SQL constructs.
`String` | `getSubclassFetchMode()` Specifies the default subclass fetch mode to use.
`int` | `getSubclassFetchModeConstant()` Return the subclass fetch mode as one of the following symbolic constants: `EagerFetchModes.EAGER_NONE` `EagerFetchModes.EAGER_JOIN` `EagerFetchModes.EAGER_PARALLEL`
`String` | `getSynchronizeMappings()` Whether OpenJPA should try to automatically refresh O/R mapping information and the database schema.
`String` | `getTransactionIsolation()` The transaction isolation level to use at the database level.
`int` | `getTransactionIsolationConstant()` Return the proper transaction isolation level constant from `Connection`, or -1 for the default level.
`String` | `getUpdateManager()` The `UpdateManager` to use for managing SQL updates.
`UpdateManager` | `getUpdateManagerInstance()` The `UpdateManager` for runtime data store interaction.
`protected boolean` | `isInvalidProperty(String propName)` Returns true if the specified property name should raise a warning if it is not found in the list of known properties.
`BrokerImpl` | `newBrokerInstance(String user, String pass)` Create a new broker instance with the configured plugin data.
`DriverDataSource` | `newDriverDataSourceInstance()` Create an instance of the `DriverDataSource` to use for creating a `DataSource` from a JDBC `Driver`.
`MappingRepository` | `newMappingRepositoryInstance()` Return a new empty mapping repository of the configured type.
`MetaDataFactory` | `newMetaDataFactoryInstance()` Create a new `MetaDataFactory` to use with a repository.
`protected void` | `preClose()` Free the data sources.
`void` | `setConnectionDecorators(ConnectionDecorator[] decorators)` The `ConnectionDecorator`s to use.
`void` | `setConnectionDecorators(String connectionDecorators)` A comma-separated list of the `ConnectionDecorator` for adding functionality to JDBC connections.
`void` | `setConnectionFactory(Object factory)` The connection factory.
`void` | `setConnectionFactory2(Object factory)` The non-XA connection factory.
`void` | `setDBDictionary(DBDictionary dbdictionary)` The `DBDictionary` to use.
`void` | `setDBDictionary(String dbdictionary)` The `DBDictionary` to use to define the RDBMS SQL information.
`void` | `setDriverDataSource(String driverDataSource)` The `DriverDataSource` to use for creating a `DataSource` from a JDBC `Driver`.
`void` | `setEagerFetchMode(int eagerFetchMode)` Set the eager fetch mode as one of the following symbolic constants: `EagerFetchModes.EAGER_NONE` `EagerFetchModes.EAGER_JOIN` `EagerFetchModes.EAGER_PARALLEL`
`void` | `setEagerFetchMode(String eagerFetchMode)` Specifies the default eager fetch mode to use.
`void` | `setFetchDirection(int fetchDirection)` Set the result set fetch direction constant.
`void` | `setFetchDirection(String fetchDirection)` The JDBC fetch direction.
`void` | `setIdentifierUtil(DBIdentifierUtil util)` Sets the `DBIdentifierUtil`
`void` | `setJDBCListeners(JDBCListener[] listeners)` The `JDBCListener`s to use.
`void` | `setJDBCListeners(String jdbcListeners)` A comma-separated list of the `JDBCListener` plugins for listening to `JDBCEvent`s.
`void` | `setLRSSize(int lrsSize)` Set the fetch configuration large result set size constant.
`void` | `setLRSSize(String lrsSize)` How to obtain the size of large result sets.
`void` | `setMappingDefaults(MappingDefaults mapping)` The `MappingDefaults` to use with a repository.
`void` | `setMappingDefaults(String mapping)` A plugin string describing the `MappingDefaults` to use.
`void` | `setMappingFactory(String mapping)` A plugin string describing the `MetaDataFactory` to use for loading and storing object-relational mapping data.
`void` | `setResultSetType(int resultSetType)` Set the result set constant type.
`void` | `setResultSetType(String resultSetType)` The JDBC result set type.
`void` | `setSchema(String schema)` Default schema for unqualified tables.
`void` | `setSchemaFactory(SchemaFactory schemaFactory)` The `SchemaFactory` to use for schema information.
`void` | `setSchemaFactory(String schemaFactory)` The plugin string for the `SchemaFactory` to use to provide schema information during system initialization.
`void` | `setSchemas(String schemas)` Comma-separated list of modifiable schemas for persistent instances.
`void` | `setSchemas(String[] schemas)` Modifiable schema components.
`void` | `setSQLFactory(SQLFactory sqlFactory)` The SQL factory to use for SQL constructs.
`void` | `setSQLFactory(String sqlFactory)` The SQL factory to use for SQL constructs.
`void` | `setSubclassFetchMode(int subclassFetchMode)` Set the subclass fetch mode as one of the following symbolic constants: `EagerFetchModes.EAGER_NONE` `EagerFetchModes.EAGER_JOIN` `EagerFetchModes.EAGER_PARALLEL`
`void` | `setSubclassFetchMode(String subclassFetchMode)` Specifies the default subclass fetch mode to use.
`void` | `setSynchronizeMappings(String synchronizeMappings)` Whether OpenJPA should try to automatically refresh O/R mapping information and the database schema.
`void` | `setTransactionIsolation(int transactionIsolation)` Set the proper transaction isolation level constant from `Connection`, or -1 for the default level.
`void` | `setTransactionIsolation(String transactionIsolation)` The transaction isolation level to use at the database level.
`void` | `setUpdateManager(String updateManager)` The `UpdateManager` to use for managing SQL updates.
`void` | `setUpdateManager(UpdateManager updateManager)` The `UpdateManager` for runtime data store interaction.

Methods inherited from class org.apache.openjpa.conf.OpenJPAConfigurationImpl
`getAggregateListenerInstances, getAggregateListeners, getAuditor, getAuditorInstance, getAutoClear, getAutoClearConstant, getAutoDetach, getAutoDetachConstant, getBrokerFactory, getBrokerFactoryEventManager, getBrokerImpl, getCacheDistributionPolicy, getCacheDistributionPolicyInstance, getCacheMarshallerInstances, getCacheMarshallers, getCallbackOptions, getCallbackOptionsInstance, getClassResolver, getClassResolverInstance, getCompatibility, getCompatibilityInstance, getConfigurationLog, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryMode, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheManager, getDataCacheManagerInstance, getDataCacheMode, getDataCacheTimeout, getDetachState, getDetachStateInstance, getDynamicDataStructs, getDynamicEnhancementAgent, getEncryptionProvider, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFinderCache, getFinderCacheInstance, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreChanges, getInstrumentation, getInstrumentationInstances, getInstrumentationManager, getInstrumentationManagerInstance, getInverseManager, getLifecycleEventManager, getLifecycleEventManagerInstance, getLockManager, getLockTimeout, getManagedRuntime, getManagedRuntimeInstance, getMapping, getMaxFetchDepth, getMetaDataFactory, getMetaDataRepository, getMetaDataRepositoryInstance, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getOptimizeIdCopy, getOrphanedKeyAction, getOrphanedKeyActionInstance, getPersistenceEnvironment, getPostLoadOnMerge, getProxyManager, getProxyManagerInstance, getQueryCache, getQueryCompilationCache, getQueryCompilationCacheInstance, getQuerySQLCache, getQuerySQLCacheInstance, getQueryTimeout, getReadLockLevel, getReadLockLevelConstant, getRefreshFromDataCache, getRemoteCommitEventManager, getRemoteCommitProvider, getRestoreState, getRestoreStateConstant, getRetainState, getRetryClassRegistration, getRuntimeUnenhancedClasses, getRuntimeUnenhancedClassesConstant, getSavepointManager, getSavepointManagerInstance, getSequence, getSequenceInstance, getSpecification, getSpecificationInstance, getStoreFacadeTypeRegistry, getTransactionMode, getValidationFactoryInstance, getValidationGroupPrePersist, getValidationGroupPreRemove, getValidationGroupPreUpdate, getValidationMode, getValidatorInstance, getWriteLockLevel, getWriteLockLevelConstant, instantiateAll, isConnectionFactoryModeManaged, isInitializeEagerly, isTransactionModeManaged, metaDataRepositoryAvailable, newInverseManagerInstance, newLockManagerInstance, newMetaDataRepositoryInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setAuditor, setAuditorInstance, setAutoClear, setAutoClear, setAutoDetach, setAutoDetach, setBrokerFactory, setBrokerImpl, setCacheDistributionPolicy, setCacheDistributionPolicyInstance, setCacheMarshallers, setCallbackOptions, setClassResolver, setClassResolver, setCompatibility, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryMode, setConnectionFactoryModeManaged, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheManager, setDataCacheManager, setDataCacheMode, setDataCacheTimeout, setDataCacheTimeout, setDetachState, setDetachState, setDynamicDataStructs, setDynamicDataStructs, setDynamicEnhancementAgent, setEncryptionProvider, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFinderCache, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreChanges, setIgnoreChanges, setInitializeEagerly, setInstrumentation, setInstrumentationManager, setInstrumentationManager, setInverseManager, setLifecycleEventManager, setLockManager, setLockTimeout, setLockTimeout, setManagedRuntime, setManagedRuntime, setMapping, setMaxFetchDepth, setMaxFetchDepth, setMetaDataFactory, setMetaDataRepository, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setOptimizeIdCopy, setOptimizeIdCopy, setOrphanedKeyAction, setOrphanedKeyAction, setPersistenceEnvironment, setPostLoadOnMerge, setPostLoadOnMerge, setProxyManager, setProxyManager, setQueryCache, setQueryCompilationCache, setQuerySQLCache, setQuerySQLCache, setQueryTimeout, setReadLockLevel, setReadLockLevel, setRefreshFromDataCache, setRefreshFromDataCache, setRemoteCommitEventManager, setRemoteCommitProvider, setRestoreState, setRestoreState, setRetainState, setRetainState, setRetryClassRegistration, setRetryClassRegistration, setRuntimeUnenhancedClasses, setRuntimeUnenhancedClasses, setSavepointManager, setSequence, setSequence, setSpecification, setSpecification, setTransactionMode, setTransactionModeManaged, setValidationFactory, setValidationGroupPrePersist, setValidationGroupPreRemove, setValidationGroupPreUpdate, setValidationMode, setValidatorInstance, setWriteLockLevel, setWriteLockLevel, supportedOptions`

Methods inherited from class org.apache.openjpa.lib.conf.ConfigurationImpl
`addBoolean, addDouble, addFile, addInt, addObject, addPlugin, addPluginList, addPropertyChangeListener, addString, addStringList, addValue, clone, close, equals, fromProperties, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getId, getLog, getLog, getLogFactory, getMethodDescriptors, getProductName, getPropertiesResource, getPropertyDescriptors, getPropertyKeys, getPropertyKeys, getValue, getValues, hashCode, isDeferResourceLoading, isReadOnly, loadGlobals, readExternal, removePropertyChangeListener, removeValue, setDeferResourceLoading, setId, setLog, setLogFactory, setProductName, setProperties, setPropertiesFile, setReadOnly, toProperties, toXMLName, valueChanged, writeExternal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.conf.OpenJPAConfiguration
`getAggregateListenerInstances, getAggregateListeners, getAuditor, getAuditorInstance, getAutoClear, getAutoClearConstant, getAutoDetach, getAutoDetachConstant, getBrokerFactory, getBrokerFactoryEventManager, getBrokerImpl, getCacheDistributionPolicy, getCacheDistributionPolicyInstance, getCacheMarshallerInstances, getCacheMarshallers, getCallbackOptions, getCallbackOptionsInstance, getClassResolver, getClassResolverInstance, getCompatibility, getCompatibilityInstance, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryMode, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheManager, getDataCacheManagerInstance, getDataCacheMode, getDataCacheTimeout, getDetachStateInstance, getDynamicDataStructs, getDynamicEnhancementAgent, getEncryptionProvider, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFinderCache, getFinderCacheInstance, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreChanges, getInstrumentation, getInstrumentationManagerInstance, getInverseManager, getLifecycleEventManager, getLifecycleEventManagerInstance, getLockManager, getLockTimeout, getManagedRuntime, getManagedRuntimeInstance, getMapping, getMaxFetchDepth, getMetaDataFactory, getMetaDataRepository, getMetaDataRepositoryInstance, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getOptimizeIdCopy, getOrphanedKeyAction, getOrphanedKeyActionInstance, getPostLoadOnMerge, getProxyManager, getProxyManagerInstance, getQueryCache, getQueryCompilationCache, getQueryCompilationCacheInstance, getQuerySQLCache, getQuerySQLCacheInstance, getQueryTimeout, getReadLockLevel, getReadLockLevelConstant, getRefreshFromDataCache, getRemoteCommitEventManager, getRemoteCommitProvider, getRestoreState, getRestoreStateConstant, getRetainState, getRetryClassRegistration, getRuntimeUnenhancedClasses, getRuntimeUnenhancedClassesConstant, getSavepointManager, getSavepointManagerInstance, getSequence, getSequenceInstance, getSpecification, getSpecificationInstance, getStoreFacadeTypeRegistry, getTransactionMode, getValidationFactoryInstance, getValidationGroupPrePersist, getValidationGroupPreRemove, getValidationGroupPreUpdate, getValidationMode, getValidatorInstance, getWriteLockLevel, getWriteLockLevelConstant, isConnectionFactoryModeManaged, isInitializeEagerly, isTransactionModeManaged, metaDataRepositoryAvailable, newInverseManagerInstance, newLockManagerInstance, newMetaDataRepositoryInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setAuditor, setAuditorInstance, setAutoClear, setAutoClear, setAutoDetach, setAutoDetach, setBrokerFactory, setBrokerImpl, setCacheDistributionPolicy, setCacheDistributionPolicyInstance, setCacheMarshallers, setCallbackOptions, setClassResolver, setClassResolver, setCompatibility, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryMode, setConnectionFactoryModeManaged, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheManager, setDataCacheManager, setDataCacheMode, setDataCacheTimeout, setDataCacheTimeout, setDetachState, setDetachState, setDynamicDataStructs, setDynamicDataStructs, setDynamicEnhancementAgent, setEncryptionProvider, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFinderCache, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreChanges, setIgnoreChanges, setInitializeEagerly, setInstrumentation, setInverseManager, setLifecycleEventManager, setLockManager, setLockTimeout, setLockTimeout, setManagedRuntime, setManagedRuntime, setMapping, setMaxFetchDepth, setMaxFetchDepth, setMetaDataFactory, setMetaDataRepository, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setOptimizeIdCopy, setOptimizeIdCopy, setOrphanedKeyAction, setOrphanedKeyAction, setPostLoadOnMerge, setPostLoadOnMerge, setProxyManager, setProxyManager, setQueryCache, setQueryCompilationCache, setQuerySQLCache, setQuerySQLCache, setQueryTimeout, setReadLockLevel, setReadLockLevel, setRefreshFromDataCache, setRefreshFromDataCache, setRemoteCommitEventManager, setRemoteCommitProvider, setRestoreState, setRestoreState, setRetainState, setRetainState, setRetryClassRegistration, setRetryClassRegistration, setRuntimeUnenhancedClasses, setRuntimeUnenhancedClasses, setSavepointManager, setSequence, setSequence, setSpecification, setSpecification, setTransactionMode, setTransactionModeManaged, setValidationFactory, setValidationGroupPrePersist, setValidationGroupPreRemove, setValidationGroupPreUpdate, setValidationMode, setValidatorInstance, setWriteLockLevel, setWriteLockLevel, supportedOptions`

Methods inherited from interface org.apache.openjpa.lib.conf.Configuration
`addPropertyChangeListener, addValue, clone, close, fromProperties, getConfigurationLog, getId, getLog, getLog, getLogFactory, getProductName, getPropertyKeys, getPropertyKeys, getValue, getValues, instantiateAll, isReadOnly, removePropertyChangeListener, removeValue, setId, setLog, setLogFactory, setProductName, setReadOnly, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Field Detail

### schema

    public StringValue schema

### schemas

    public StringListValue schemas

### transactionIsolation

    public IntValue transactionIsolation

### resultSetType

    public IntValue resultSetType

### fetchDirection

    public IntValue fetchDirection

### eagerFetchMode

    public FetchModeValue eagerFetchMode

### subclassFetchMode

    public FetchModeValue subclassFetchMode

### lrsSize

    public IntValue lrsSize

### synchronizeMappings

    public StringValue synchronizeMappings

### jdbcListenerPlugins

    public ObjectValue jdbcListenerPlugins

### connectionDecoratorPlugins

    public ObjectValue connectionDecoratorPlugins

### dbdictionaryPlugin

    public PluginValue dbdictionaryPlugin

### updateManagerPlugin

    public ObjectValue updateManagerPlugin

### schemaFactoryPlugin

    public ObjectValue schemaFactoryPlugin

### sqlFactoryPlugin

    public ObjectValue sqlFactoryPlugin

### mappingDefaultsPlugin

    public ObjectValue mappingDefaultsPlugin

### driverDataSourcePlugin

    public PluginValue driverDataSourcePlugin

### mappingFactoryPlugin

    public MappingFactoryValue mappingFactoryPlugin

### identifierUtilPlugin

    public ObjectValue identifierUtilPlugin

Constructor Detail

### JDBCConfigurationImpl

    public JDBCConfigurationImpl()

  Default constructor. Attempts to load default properties.

### JDBCConfigurationImpl

    public JDBCConfigurationImpl(boolean loadGlobals)

  Constructor.

  Parameters:
    `loadGlobals` - whether to attempt to load the global properties

### JDBCConfigurationImpl

    public JDBCConfigurationImpl(boolean derivations,
                                 boolean loadGlobals)

  Constructor.

  Parameters:
    `derivations` - whether to apply product derivations
    `loadGlobals` - whether to attempt to load the global properties

### JDBCConfigurationImpl

    public JDBCConfigurationImpl(JDBCConfiguration conf)

  Copy constructor

Method Detail

### setSchema

    public void setSchema(String schema)

  Description copied from interface: `JDBCConfiguration`
  Default schema for unqualified tables.

  Specified by:
    `setSchema` in interface `JDBCConfiguration`

### getSchema

    public String getSchema()

  Description copied from interface: `JDBCConfiguration`
  Default schema for unqualified tables.

  Specified by:
    `getSchema` in interface `JDBCConfiguration`

### setSchemas

    public void setSchemas(String schemas)

  Description copied from interface: `JDBCConfiguration`
  Comma-separated list of modifiable schemas for persistent instances.

  Specified by:
    `setSchemas` in interface `JDBCConfiguration`

### getSchemas

    public String getSchemas()

  Description copied from interface: `JDBCConfiguration`
  Comma-separated list of modifiable schemas for persistent instances.

  Specified by:
    `getSchemas` in interface `JDBCConfiguration`

### setSchemas

    public void setSchemas(String[] schemas)

  Description copied from interface: `JDBCConfiguration`
  Modifiable schema components.

  Specified by:
    `setSchemas` in interface `JDBCConfiguration`

### getSchemasList

    public String[] getSchemasList()

  Description copied from interface: `JDBCConfiguration`
  Modificable schema components.

  Specified by:
    `getSchemasList` in interface `JDBCConfiguration`

### setTransactionIsolation

    public void setTransactionIsolation(String transactionIsolation)

  Description copied from interface: `JDBCConfiguration`
  The transaction isolation level to use at the database level. Possible values are:
  - `default`: The JDBC driver's default isolation level.
  - `none`: The standard JDBC `Connection.TRANSACTION_NONE` level.
  - `read-committed`: The standard JDBC `Connection.TRANSACTION_READ_COMMITTED` level.
  - `read-uncommitted`: The standard JDBC `Connection.TRANSACTION_READ_UNCOMMITTED` level.
  - `repeatable-read`: The standard JDBC `Connection.TRANSACTION_REPEATABLE_READ` level.
  - `serializable`: The standard JDBC `Connection.TRANSACTION_SERIALIZABLE` level.

  Specified by:
    `setTransactionIsolation` in interface `JDBCConfiguration`

### getTransactionIsolation

    public String getTransactionIsolation()

  Description copied from interface: `JDBCConfiguration`
  The transaction isolation level to use at the database level. Possible values are:
  - `default`: The JDBC driver's default isolation level.
  - `none`: The standard JDBC `Connection.TRANSACTION_NONE` level.
  - `read-committed`: The standard JDBC `Connection.TRANSACTION_READ_COMMITTED` level.
  - `read-uncommitted`: The standard JDBC `Connection.TRANSACTION_READ_UNCOMMITTED` level.
  - `repeatable-read`: The standard JDBC `Connection.TRANSACTION_REPEATABLE_READ` level.
  - `serializable`: The standard JDBC `Connection.TRANSACTION_SERIALIZABLE` level.

  Specified by:
    `getTransactionIsolation` in interface `JDBCConfiguration`

### setTransactionIsolation

    public void setTransactionIsolation(int transactionIsolation)

  Description copied from interface: `JDBCConfiguration`
  Set the proper transaction isolation level constant from `Connection`, or -1 for the default level.

  Specified by:
    `setTransactionIsolation` in interface `JDBCConfiguration`

### getTransactionIsolationConstant

    public int getTransactionIsolationConstant()

  Description copied from interface: `JDBCConfiguration`
  Return the proper transaction isolation level constant from `Connection`, or -1 for the default level.

  Specified by:
    `getTransactionIsolationConstant` in interface `JDBCConfiguration`

### setResultSetType

    public void setResultSetType(String resultSetType)

  Description copied from interface: `JDBCConfiguration`
  The JDBC result set type. Defaults to `forward-only`.
  - `forward-only`: The standard JDBC `ResultSet.TYPE_FORWARD_ONLY` type.
  - `scroll-sensitive`: The standard JDBC `ResultSet.TYPE_SCROLL_SENSITIVE` type.
  - `scroll-insensitive`: The standard JDBC `ResultSet.TYPE_SCROLL_INSENSITIVE` type.

  Specified by:
    `setResultSetType` in interface `JDBCConfiguration`

### getResultSetType

    public String getResultSetType()

  Description copied from interface: `JDBCConfiguration`
  The JDBC result set type. Defaults to `forward-only`.
  - `forward-only`: The standard JDBC `ResultSet.TYPE_FORWARD_ONLY` type.
  - `scroll-sensitive`: The standard JDBC `ResultSet.TYPE_SCROLL_SENSITIVE` type.
  - `scroll-insensitive`: The standard JDBC `ResultSet.TYPE_SCROLL_INSENSITIVE` type.

  Specified by:
    `getResultSetType` in interface `JDBCConfiguration`

### setResultSetType

    public void setResultSetType(int resultSetType)

  Description copied from interface: `JDBCConfiguration`
  Set the result set constant type.

  Specified by:
    `setResultSetType` in interface `JDBCConfiguration`

### getResultSetTypeConstant

    public int getResultSetTypeConstant()

  Description copied from interface: `JDBCConfiguration`
  Return the result set constant for the result set type.

  Specified by:
    `getResultSetTypeConstant` in interface `JDBCConfiguration`

### setFetchDirection

    public void setFetchDirection(String fetchDirection)

  Description copied from interface: `JDBCConfiguration`
  The JDBC fetch direction. Defaults to `forward`.
  - `forward`: The standard JDBC `ResultSet.FETCH_FORWARD` direction.
  - `reverse`: The standard JDBC `ResultSet.FETCH_REVERSE` direction.
  - `unknown`: The standard JDBC `ResultSet.FETCH_UNKNOWN` direction.

  Specified by:
    `setFetchDirection` in interface `JDBCConfiguration`

### getFetchDirection

    public String getFetchDirection()

  Description copied from interface: `JDBCConfiguration`
  The JDBC fetch direction. Defaults to `forward`.
  - `forward`: The standard JDBC `ResultSet.FETCH_FORWARD` direction.
  - `reverse`: The standard JDBC `ResultSet.FETCH_REVERSE` direction.
  - `unknown`: The standard JDBC `ResultSet.FETCH_UNKNOWN` direction.

  Specified by:
    `getFetchDirection` in interface `JDBCConfiguration`

### setFetchDirection

    public void setFetchDirection(int fetchDirection)

  Description copied from interface: `JDBCConfiguration`
  Set the result set fetch direction constant.

  Specified by:
    `setFetchDirection` in interface `JDBCConfiguration`

### getFetchDirectionConstant

    public int getFetchDirectionConstant()

  Description copied from interface: `JDBCConfiguration`
  Return the result set constant for the fetch direction.

  Specified by:
    `getFetchDirectionConstant` in interface `JDBCConfiguration`

### setEagerFetchMode

    public void setEagerFetchMode(String eagerFetchMode)

  Description copied from interface: `JDBCConfiguration`
  Specifies the default eager fetch mode to use. Defaults to `parallel` unless the query is by-oid. Possible values are:
  - `none`: When querying for an object, do not try to select for related objects at the same time.
  - `join`: When querying for objects, also select for 1-1 relations in the configured fetch groups using joins.
  - `parallel`: When querying for objects, also select for both 1-1 relations using joins and to-many relations using batched selects.

  Specified by:
    `setEagerFetchMode` in interface `JDBCConfiguration`

### getEagerFetchMode

    public String getEagerFetchMode()

  Description copied from interface: `JDBCConfiguration`
  Specifies the default eager fetch mode to use. Defaults to `parallel` unless the query is by-oid. Possible values are:
  - `none`: When querying for an object, do not try to select for related objects at the same time.
  - `join`: When querying for objects, also select for 1-1 relations in the configured fetch groups using joins.
  - `parallel`: When querying for objects, also select for both 1-1 relations using joins and to-many relations using batched selects.

  Specified by:
    `getEagerFetchMode` in interface `JDBCConfiguration`

### setEagerFetchMode

    public void setEagerFetchMode(int eagerFetchMode)

  Description copied from interface: `JDBCConfiguration`
  Set the eager fetch mode as one of the following symbolic constants:
  - `EagerFetchModes.EAGER_NONE`
  - `EagerFetchModes.EAGER_JOIN`
  - `EagerFetchModes.EAGER_PARALLEL`

  Specified by:
    `setEagerFetchMode` in interface `JDBCConfiguration`

### getEagerFetchModeConstant

    public int getEagerFetchModeConstant()

  Description copied from interface: `JDBCConfiguration`
  Return the eager fetch mode as one of the following symbolic constants:
  - `EagerFetchModes.EAGER_NONE`
  - `EagerFetchModes.EAGER_JOIN`
  - `EagerFetchModes.EAGER_PARALLEL`

  Specified by:
    `getEagerFetchModeConstant` in interface `JDBCConfiguration`

### setSubclassFetchMode

    public void setSubclassFetchMode(String subclassFetchMode)

  Description copied from interface: `JDBCConfiguration`
  Specifies the default subclass fetch mode to use. Defaults to `join` unless the query is by-oid. Possible values are:
  - `none`: Only select base class data.
  - `join`: Select both base class and all possible subclass data using joins.
  - `parallel`: Select for each possible subclass separately.

  Specified by:
    `setSubclassFetchMode` in interface `JDBCConfiguration`

### getSubclassFetchMode

    public String getSubclassFetchMode()

  Description copied from interface: `JDBCConfiguration`
  Specifies the default subclass fetch mode to use. Defaults to `join` unless the query is by-oid. Possible values are:
  - `none`: Only select base class data.
  - `join`: Select both base class and all possible subclass data using joins.
  - `parallel`: Select for each possible subclass separately.

  Specified by:
    `getSubclassFetchMode` in interface `JDBCConfiguration`

### setSubclassFetchMode

    public void setSubclassFetchMode(int subclassFetchMode)

  Description copied from interface: `JDBCConfiguration`
  Set the subclass fetch mode as one of the following symbolic constants:
  - `EagerFetchModes.EAGER_NONE`
  - `EagerFetchModes.EAGER_JOIN`
  - `EagerFetchModes.EAGER_PARALLEL`

  Specified by:
    `setSubclassFetchMode` in interface `JDBCConfiguration`

### getSubclassFetchModeConstant

    public int getSubclassFetchModeConstant()

  Description copied from interface: `JDBCConfiguration`
  Return the subclass fetch mode as one of the following symbolic constants:
  - `EagerFetchModes.EAGER_NONE`
  - `EagerFetchModes.EAGER_JOIN`
  - `EagerFetchModes.EAGER_PARALLEL`

  Specified by:
    `getSubclassFetchModeConstant` in interface `JDBCConfiguration`

### setLRSSize

    public void setLRSSize(String lrsSize)

  Description copied from interface: `JDBCConfiguration`
  How to obtain the size of large result sets. Defaults to `unknown`.
  - `unknown`: Do not attempt to calculate the size of large result sets; return `Integer.MAX_VALUE`.
  - `last`: For result sets that support random access, calculate the size using `ResultSet.last()`.
  - `query`: Use a separate COUNT query to calculate the size of the results.

  Specified by:
    `setLRSSize` in interface `JDBCConfiguration`

### getLRSSize

    public String getLRSSize()

  Description copied from interface: `JDBCConfiguration`
  How to obtain the size of large result sets. Defaults to `unknown`.
  - `unknown`: Do not attempt to calculate the size of large result sets; return `Integer.MAX_VALUE`.
  - `last`: For result sets that support random access, calculate the size using `ResultSet.last()`.
  - `query`: Use a separate COUNT query to calculate the size of the results.

  Specified by:
    `getLRSSize` in interface `JDBCConfiguration`

### setLRSSize

    public void setLRSSize(int lrsSize)

  Description copied from interface: `JDBCConfiguration`
  Set the fetch configuration large result set size constant.

  Specified by:
    `setLRSSize` in interface `JDBCConfiguration`

### getLRSSizeConstant

    public int getLRSSizeConstant()

  Description copied from interface: `JDBCConfiguration`
  Return the `LRSSizes` constant for the large result set size setting.

  Specified by:
    `getLRSSizeConstant` in interface `JDBCConfiguration`

### setSynchronizeMappings

    public void setSynchronizeMappings(String synchronizeMappings)

  Description copied from interface: `JDBCConfiguration`
  Whether OpenJPA should try to automatically refresh O/R mapping information and the database schema.

  Specified by:
    `setSynchronizeMappings` in interface `JDBCConfiguration`

### getSynchronizeMappings

    public String getSynchronizeMappings()

  Description copied from interface: `JDBCConfiguration`
  Whether OpenJPA should try to automatically refresh O/R mapping information and the database schema.

  Specified by:
    `getSynchronizeMappings` in interface `JDBCConfiguration`

### setJDBCListeners

    public void setJDBCListeners(String jdbcListeners)

  Description copied from interface: `JDBCConfiguration`
  A comma-separated list of the `JDBCListener` plugins for listening to `JDBCEvent`s.

  Specified by:
    `setJDBCListeners` in interface `JDBCConfiguration`

### getJDBCListeners

    public String getJDBCListeners()

  Description copied from interface: `JDBCConfiguration`
  A comma-separated list of the `JDBCListener` plugins for listening to `JDBCEvent`s.

  Specified by:
    `getJDBCListeners` in interface `JDBCConfiguration`

### setJDBCListeners

    public void setJDBCListeners(JDBCListener[] listeners)

  Description copied from interface: `JDBCConfiguration`
  The `JDBCListener`s to use.

  Specified by:
    `setJDBCListeners` in interface `JDBCConfiguration`

### getJDBCListenerInstances

    public JDBCListener[] getJDBCListenerInstances()

  Description copied from interface: `JDBCConfiguration`
  The `JDBCListener`s to use.

  Specified by:
    `getJDBCListenerInstances` in interface `JDBCConfiguration`

### setConnectionDecorators

    public void setConnectionDecorators(String connectionDecorators)

  Description copied from interface: `JDBCConfiguration`
  A comma-separated list of the `ConnectionDecorator` for adding functionality to JDBC connections.

  Specified by:
    `setConnectionDecorators` in interface `JDBCConfiguration`

### getConnectionDecorators

    public String getConnectionDecorators()

  Description copied from interface: `JDBCConfiguration`
  A comma-separated list of the `ConnectionDecorator` for adding functionality to JDBC connections.

  Specified by:
    `getConnectionDecorators` in interface `JDBCConfiguration`

### setConnectionDecorators

    public void setConnectionDecorators(ConnectionDecorator[] decorators)

  Description copied from interface: `JDBCConfiguration`
  The `ConnectionDecorator`s to use.

  Specified by:
    `setConnectionDecorators` in interface `JDBCConfiguration`

### getConnectionDecoratorInstances

    public ConnectionDecorator[] getConnectionDecoratorInstances()

  Description copied from interface: `JDBCConfiguration`
  The `ConnectionDecorator`s to use.

  Specified by:
    `getConnectionDecoratorInstances` in interface `JDBCConfiguration`

### setDBDictionary

    public void setDBDictionary(String dbdictionary)

  Description copied from interface: `JDBCConfiguration`
  The `DBDictionary` to use to define the RDBMS SQL information.

  Specified by:
    `setDBDictionary` in interface `JDBCConfiguration`

### getDBDictionary

    public String getDBDictionary()

  Description copied from interface: `JDBCConfiguration`
  The `DBDictionary` to use to define the RDBMS SQL information.

  Specified by:
    `getDBDictionary` in interface `JDBCConfiguration`

### setDBDictionary

    public void setDBDictionary(DBDictionary dbdictionary)

  Description copied from interface: `JDBCConfiguration`
  The `DBDictionary` to use.

  Specified by:
    `setDBDictionary` in interface `JDBCConfiguration`

### getDBDictionaryInstance

    public DBDictionary getDBDictionaryInstance()

  Description copied from interface: `JDBCConfiguration`
  The `DBDictionary` to use.

  Specified by:
    `getDBDictionaryInstance` in interface `JDBCConfiguration`

### setUpdateManager

    public void setUpdateManager(String updateManager)

  Description copied from interface: `JDBCConfiguration`
  The `UpdateManager` to use for managing SQL updates.

  Specified by:
    `setUpdateManager` in interface `JDBCConfiguration`

### getUpdateManager

    public String getUpdateManager()

  Description copied from interface: `JDBCConfiguration`
  The `UpdateManager` to use for managing SQL updates.

  Specified by:
    `getUpdateManager` in interface `JDBCConfiguration`

### setUpdateManager

    public void setUpdateManager(UpdateManager updateManager)

  Description copied from interface: `JDBCConfiguration`
  The `UpdateManager` for runtime data store interaction.

  Specified by:
    `setUpdateManager` in interface `JDBCConfiguration`

### getUpdateManagerInstance

    public UpdateManager getUpdateManagerInstance()

  Description copied from interface: `JDBCConfiguration`
  The `UpdateManager` for runtime data store interaction.

  Specified by:
    `getUpdateManagerInstance` in interface `JDBCConfiguration`

### setDriverDataSource

    public void setDriverDataSource(String driverDataSource)

  Description copied from interface: `JDBCConfiguration`
  The `DriverDataSource` to use for creating a `DataSource` from a JDBC `Driver`.

  Specified by:
    `setDriverDataSource` in interface `JDBCConfiguration`

### getDriverDataSource

    public String getDriverDataSource()

  Description copied from interface: `JDBCConfiguration`
  The `DriverDataSource` to use for creating a `DataSource` from a JDBC `Driver`.

  Specified by:
    `getDriverDataSource` in interface `JDBCConfiguration`

### newDriverDataSourceInstance

    public DriverDataSource newDriverDataSourceInstance()

  Description copied from interface: `JDBCConfiguration`
  Create an instance of the `DriverDataSource` to use for creating a `DataSource` from a JDBC `Driver`.

  Specified by:
    `newDriverDataSourceInstance` in interface `JDBCConfiguration`

### setSchemaFactory

    public void setSchemaFactory(String schemaFactory)

  Description copied from interface: `JDBCConfiguration`
  The plugin string for the `SchemaFactory` to use to provide schema information during system initialization.

  Specified by:
    `setSchemaFactory` in interface `JDBCConfiguration`

### getSchemaFactory

    public String getSchemaFactory()

  Description copied from interface: `JDBCConfiguration`
  The plugin string for the `SchemaFactory` to use to provide schema information during system initialization.

  Specified by:
    `getSchemaFactory` in interface `JDBCConfiguration`

### setSchemaFactory

    public void setSchemaFactory(SchemaFactory schemaFactory)

  Description copied from interface: `JDBCConfiguration`
  The `SchemaFactory` to use for schema information.

  Specified by:
    `setSchemaFactory` in interface `JDBCConfiguration`

### getSchemaFactoryInstance

    public SchemaFactory getSchemaFactoryInstance()

  Description copied from interface: `JDBCConfiguration`
  The `SchemaFactory` to use for schema information.

  Specified by:
    `getSchemaFactoryInstance` in interface `JDBCConfiguration`

### setSQLFactory

    public void setSQLFactory(String sqlFactory)

  Description copied from interface: `JDBCConfiguration`
  The SQL factory to use for SQL constructs.

  Specified by:
    `setSQLFactory` in interface `JDBCConfiguration`

### getSQLFactory

    public String getSQLFactory()

  Description copied from interface: `JDBCConfiguration`
  The SQL factory to use for SQL constructs.

  Specified by:
    `getSQLFactory` in interface `JDBCConfiguration`

### setSQLFactory

    public void setSQLFactory(SQLFactory sqlFactory)

  Description copied from interface: `JDBCConfiguration`
  The SQL factory to use for SQL constructs.

  Specified by:
    `setSQLFactory` in interface `JDBCConfiguration`

### getSQLFactoryInstance

    public SQLFactory getSQLFactoryInstance()

  Description copied from interface: `JDBCConfiguration`
  The SQL factory to use for SQL constructs.

  Specified by:
    `getSQLFactoryInstance` in interface `JDBCConfiguration`

### getMappingFactory

    public String getMappingFactory()

  Description copied from interface: `JDBCConfiguration`
  A plugin string describing the `MetaDataFactory` to use for loading and storing object-relational mapping data.

  Specified by:
    `getMappingFactory` in interface `JDBCConfiguration`

### setMappingFactory

    public void setMappingFactory(String mapping)

  Description copied from interface: `JDBCConfiguration`
  A plugin string describing the `MetaDataFactory` to use for loading and storing object-relational mapping data.

  Specified by:
    `setMappingFactory` in interface `JDBCConfiguration`

### newMetaDataFactoryInstance

    public MetaDataFactory newMetaDataFactoryInstance()

  Description copied from interface: `OpenJPAConfiguration`
  Create a new `MetaDataFactory` to use with a repository.

  Specified by:
    `newMetaDataFactoryInstance` in interface `OpenJPAConfiguration`
  Overrides:
    `newMetaDataFactoryInstance` in class `OpenJPAConfigurationImpl`

### setMappingDefaults

    public void setMappingDefaults(String mapping)

  Description copied from interface: `JDBCConfiguration`
  A plugin string describing the `MappingDefaults` to use.

  Specified by:
    `setMappingDefaults` in interface `JDBCConfiguration`

### getMappingDefaults

    public String getMappingDefaults()

  Description copied from interface: `JDBCConfiguration`
  A plugin string describing the `MappingDefaults` to use.

  Specified by:
    `getMappingDefaults` in interface `JDBCConfiguration`

### setMappingDefaults

    public void setMappingDefaults(MappingDefaults mapping)

  Description copied from interface: `JDBCConfiguration`
  The `MappingDefaults` to use with a repository.

  Specified by:
    `setMappingDefaults` in interface `JDBCConfiguration`

### getMappingDefaultsInstance

    public MappingDefaults getMappingDefaultsInstance()

  Description copied from interface: `JDBCConfiguration`
  The `MappingDefaults` to use with a repository.

  Specified by:
    `getMappingDefaultsInstance` in interface `JDBCConfiguration`

### getMappingRepositoryInstance

    public MappingRepository getMappingRepositoryInstance()

  Description copied from interface: `JDBCConfiguration`
  Return the mapping repository. Convenience method to cast from the internal metadata repository.

  Specified by:
    `getMappingRepositoryInstance` in interface `JDBCConfiguration`

### newMappingRepositoryInstance

    public MappingRepository newMappingRepositoryInstance()

  Description copied from interface: `JDBCConfiguration`
  Return a new empty mapping repository of the configured type. Convenience method to cast from metadata repository.

  Specified by:
    `newMappingRepositoryInstance` in interface `JDBCConfiguration`

### newBrokerInstance

    public BrokerImpl newBrokerInstance(String user,
                                        String pass)

  Description copied from interface: `OpenJPAConfiguration`
  Create a new broker instance with the configured plugin data.

  Specified by:
    `newBrokerInstance` in interface `OpenJPAConfiguration`
  Overrides:
    `newBrokerInstance` in class `OpenJPAConfigurationImpl`

### getConnectionFactory

    public Object getConnectionFactory()

  Description copied from interface: `OpenJPAConfiguration`
  The connection factory, possibly from JNDI.

  Specified by:
    `getConnectionFactory` in interface `OpenJPAConfiguration`
  Overrides:
    `getConnectionFactory` in class `OpenJPAConfigurationImpl`

### setConnectionFactory

    public void setConnectionFactory(Object factory)

  Description copied from interface: `OpenJPAConfiguration`
  The connection factory.

  Specified by:
    `setConnectionFactory` in interface `OpenJPAConfiguration`
  Overrides:
    `setConnectionFactory` in class `OpenJPAConfigurationImpl`

### getConnectionFactory2

    public Object getConnectionFactory2()

  Description copied from interface: `OpenJPAConfiguration`
  The non-XA connection factory.

  Specified by:
    `getConnectionFactory2` in interface `OpenJPAConfiguration`
  Overrides:
    `getConnectionFactory2` in class `OpenJPAConfigurationImpl`

### setConnectionFactory2

    public void setConnectionFactory2(Object factory)

  Description copied from interface: `OpenJPAConfiguration`
  The non-XA connection factory.

  Specified by:
    `setConnectionFactory2` in interface `OpenJPAConfiguration`
  Overrides:
    `setConnectionFactory2` in class `OpenJPAConfigurationImpl`

### createConnectionFactory

    public DecoratingDataSource createConnectionFactory()

  Create the connection factory if necessary.

### getDataSource

    public DataSource getDataSource(StoreContext ctx)

  Description copied from interface: `JDBCConfiguration`
  Return the primary data source to use. The data source will automatically use the given context's user name and password on calls to `DataSource.getConnection()`. If the given context is null, the data source will use the configuration's default connection user name and password. If those too are null and the first context has been obtained already, then the user name and password for that context will be used, as we know they represent a valid combination. This method avoids casting the result of `OpenJPAConfiguration.getConnectionFactory()`, and avoids having to pass in the user name and password to obtain connections.

  Specified by:
    `getDataSource` in interface `JDBCConfiguration`

### getDataSource2

    public DataSource getDataSource2(StoreContext ctx)

  Description copied from interface: `JDBCConfiguration`
  Return the non-enlisted data source to use. If there is a valid non-xa connection factory configured, then it will be returned. Its default user name and password on calls to `DataSource.getConnection()` will be the specified connection 2 user name and password. If those are null and the given context is non-null, its user name password will be used instead. If the context is null too, then the user name and password used to retrieve the first context will be used. If there is no second connection factory the primary connection factory is used.

  Specified by:
    `getDataSource2` in interface `JDBCConfiguration`
  See Also:
    `JDBCConfiguration.getDataSource(org.apache.openjpa.kernel.StoreContext)`

### preClose

    protected void preClose()

  Free the data sources.

  Overrides:
    `preClose` in class `OpenJPAConfigurationImpl`

### isInvalidProperty

    protected boolean isInvalidProperty(String propName)

  Description copied from class: `ConfigurationImpl`
  Returns true if the specified property name should raise a warning if it is not found in the list of known properties.

  Overrides:
    `isInvalidProperty` in class `ConfigurationImpl`

### getIdentifierUtil

    public String getIdentifierUtil()

  Description copied from interface: `JDBCConfiguration`
  Gets the String constant that matches the `IdentifierUtil`

  Specified by:
    `getIdentifierUtil` in interface `JDBCConfiguration`
  Returns:
    String-based name of the `IdentifierUtil`

### getIdentifierUtilInstance

    public DBIdentifierUtil getIdentifierUtilInstance()

  Description copied from interface: `JDBCConfiguration`
  Gets the `DBIdentifierUtil`

  Specified by:
    `getIdentifierUtilInstance` in interface `JDBCConfiguration`
  Returns:
    DBIdentifierUtil

### setIdentifierUtil

    public void setIdentifierUtil(DBIdentifierUtil util)

  Description copied from interface: `JDBCConfiguration`
  Sets the `DBIdentifierUtil`

  Specified by:
    `setIdentifierUtil` in interface `JDBCConfiguration`
  Parameters:
    `util` - instance of the identifier utility

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.